com.microfocus.awm.model.toolexecution

## Interface IToolResult

- All Known Implementing Classes:
    ToolResult

      public interface IToolResult

  The result of an executed tool descriptor.
  Author:
    Micro Focus
  See Also:
    `ToolResult`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IToolResultSeverity` | `getSeverity()` Gets the severity of the execution result.
    `IToolContext` | `getToolContext()` Gets the tool context that was used for executing the tool descriptor.
    `ToolDescriptor` | `getToolDescriptor()` Gets executed tool descriptor.
    `java.lang.String` | `getToolMessage()` Gets the returned tool message or `null`, if the tool does not return a message.
    `IToolOutput` | `getToolOutput()` Returns the `IToolOutput`.

- - ### Method Detail

    - #### getToolDescriptor

          ToolDescriptor getToolDescriptor()

      Gets executed tool descriptor.
      Returns:
        the tool descriptor

    - #### getToolMessage

          java.lang.String getToolMessage()

      Gets the returned tool message or `null`, if the tool does not return a message.

      Tool messages will always be displayed to the user after the action has finished or when the tool returned an error severity. Therefore tools should not return messages for debug/trace purposes, since it will affect the user experience.

      Returns:
        the tool message or `null`
      See Also:
        `getSeverity()`

    - #### getSeverity

          IToolResultSeverity getSeverity()

      Gets the severity of the execution result.

      The returned severity can affect the executed action in two ways:

      1. `Information`, `Warning` and `Error` severities affect how returned tool messages are being displayed.
      2. An `Error` severity will cause the action to be aborted, preventing any subsequent tool descriptor to be executed.
      Returns:
        the severity
      See Also:
        `ToolResultSeverity`

    - #### getToolContext

          IToolContext getToolContext()

      Gets the tool context that was used for executing the tool descriptor.
      Returns:
        the tool context

    - #### getToolOutput

          IToolOutput getToolOutput()

      Returns the `IToolOutput`.
      Returns:
        the tool output

Copyright © 2015 Micro Focus GmbH. All rights reserved.